{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.1/css/bootstrap.css" >
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.18/css/dataTables.bootstrap4.min.css" >


{% endblock css %}
{% block content %}
<div class="text-center">
    <div class="container">
        {% if list == "False" %}
        <div class="alert alert-danger" style="margin-top:4%" role="alert">
            <h4 class="alert-heading"> OOPS!</h4>
            <p>Al parecer no hay viajes realizandose en este momento, por favor intentelo más tarde.</p>
            <hr>
            <p class="mb-0">En esta página solo aparecen los viajes activos actualmente.</p>
        </div>
        {% else %}
        <div class="row titulo">
                <h1>Lista de Viajes en Curso</h1>
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-12 m-t-1">
                            <table id="tabla" class="table table-striped table-bordered" style="width:100%">
                                <thead>
                                    <tr>
                                        <th scope="col">Bus</th>
                                        <th scope="col">Conductor</th>
                                        <th scope="col">Asistente 1</th>
                                        <th scope="col">Asistente 2</th>
                                        <th scope="col">Desde</th>
                                        <th scope="col">Hasta</th>
                                        <th scope="col">Horario de Salida</th>
                                        {% if request.user.is_staff %}
                                        <th scope="col">Acciones</th>
                                        {% endif %}
                                    </tr>
                                </thead>
                                <tbody id="co_table">
                                    {% for viaje in list %}
                                    <tr>
                                        <td>{{viaje.bus}}</td>
                                        <td>{{viaje.bus_driver}}</td>
                                        <td>{{viaje.asisstant1}}</td>
                                        <td>{{viaje.asisstant2}}</td>
                                        <td>{{viaje.source}}</td>
                                        <td>{{viaje.destination}}</td>
                                        <td>{{viaje.start_time}}</td>
                                        <td>
                                            <a class="btn btn-info btn-sm" style="color:white" data-trippk='{{viaje.pk}}' data-toggle="modal" data-target="#detailsModal"><i class="fa fa-eye"></i></a>
                                            {% if request.user.is_staff %}
                                            <a class="btn btn-danger btn-sm" href="{% url 'trip_delete' viaje.pk %}"><i class="fa fa-times"></i></a>
                                            {% endif %}
                                        </td>
                                    </tr>
                                    {% endfor %}
                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
</div>
<div class="modal fade" id="detailsModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="detailsModalLabel">Detalles del viaje</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <hr>
                <div class="row">
                    <div class="container">
                        <div class="col-md-12 col-sm-12">
                            <label for="pasajeros">Pasajeros: </label>
                            <table id="tabla2" class="table table-striped table-bordered" style="width:100%">
                                <thead>
                                    <tr>
                                        <th scope="col">Nombre</th>
                                        <th scope="col">Rut</th>
                                        <th scope="col">Email</th>
                                        <th scope="col">Teléfono</th>
                                    </tr>
                                </thead>
                                <tbody id="pa_table">
                                    <tr>
                                        <td>Javiera Flores</td>
                                        <td>18606355 - 4</td>
                                        <td>nico.cordova@hotmail.com</td>
                                        <td>+56965168608</td>
                                    </tr>
                                    <tr>
                                        <td>Daniela Flores</td>
                                        <td>18550443 - 5</td>
                                        <td>DaniFlores@hotmail.com</td>
                                        <td>+5695994304</td>
                                    </tr>
                                    <tr>
                                        <td>Juan Hernandez</td>
                                        <td>18554355 - 4</td>
                                        <td>JuanHernandez@hotmail.com</td>
                                        <td>+56965168608</td>
                                    </tr>
                                    <tr>
                                        <td>Francisca Rumatz</td>
                                        <td>14231554 - 4</td>
                                        <td>FranciscaRumarz@hotmail.com</td>
                                        <td>+56922524408</td>
                                    </tr>
                                    <tr>
                                        <td>Isidora Madriaga</td>
                                        <td>52424434 - 5</td>
                                        <td>Isidori@hotmail.com</td>
                                        <td>+56955438608</td>
                                    </tr>
                                    <tr>
                                        <td>Boris Leiva</td>
                                        <td>542423566 - 4</td>
                                        <td>BorizLeiva@hotmail.com</td>
                                        <td>+56955045050</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="col-sm-12 col-md-12">
                <a class="btn btn-info btn-block" id="update" style="color:white">Actualizar Ubicación</a>
            </div>
            <iframe width="90%" height="120%" frameborder="0" style="border:0;margin-left:5%;margin-top:4%" src="https://www.google.com/maps/embed/v1/place?key=AIzaSyCuEZad1cR2tg6Q8rx73scjjGfRKq1Uy38&q=Av.+Ruta+5,+Buin,+Región+Metropolitana,+Chile" allowfullscreen></iframe>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Send message</button>
            </div>
        </div>
    </div>
</div>
{% endblock content %}
{% block javascript %}
<script src="https://cdn.datatables.net/1.10.18/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
<script src="https://cdn.datatables.net/1.10.18/js/dataTables.bootstrap4.min.js " crossorigin="anonymous"></script>

<script>
    $('#update').click(function(){
        console.log("click");
        $("#mapita").show();
    })
    $('#tabla').DataTable();
</script>
{% endblock javascript %}